package binders

// |@@| C

import (
	"context"
	"gardening/src/dat/maes"
	"github.com/gin-gonic/gin"
)

type PerformImagesRoutineAppBinder struct {
}

func (this *PerformImagesRoutineAppBinder) Bind(ctx context.Context, in *maes.PerformImagesRoutineMaeIn, c *gin.Context) error {
	this.bindRequest(ctx, in, c)
	return nil
}
func (this *PerformImagesRoutineAppBinder) bindRequestForm(ctx context.Context, in *maes.PerformImagesRoutineMaeIn, c *gin.Context) error {
	return nil
}
func (this *PerformImagesRoutineAppBinder) bindRequest(ctx context.Context, in *maes.PerformImagesRoutineMaeIn, c *gin.Context) error {
	this.bindRequestForm(ctx, in, c)
	return nil
}
